For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Status
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
  • Voice Generation
    • Speech-to-Speech
  • Voice Creation
      • Overview
      • Create Voice
      • Build Voice
  • Voice Tools
  • Real-Time Agents
    • Overview
  • Safety & Detection
Status
LogoLogo
Voice CreationVoice Cloning

Create Voice

Was this page helpful?
Previous

Build Voice

Next
Built with

POST https://app.resemble.ai/api/v2/voices

Create a new custom voice. Requires Business or Enterprise plan.

FieldTypeRequiredNotes
namestring✅Voice name (max 256 characters).
voice_typestring❌Voice type (rapid_voice or professional). Default: professional.
languagestring❌Default language code. Default: en-US.
descriptionstring❌Voice description.
dataset_urlstring❌URL to training dataset (max 30,000 characters).
callback_uristring❌Callback URL for training completion (max 1000 characters).
$curl --request POST 'https://app.resemble.ai/api/v2/voices' \
> -H 'Authorization: Bearer YOUR_API_TOKEN' \
> -H 'Content-Type: application/json' \
> --data '{
> "name": "Chef",
> "language": "en-US",
> "voice_type": "professional",
> "dataset_url": "https://example.com/dataset.zip",
> "callback_uri": "https://example.com/webhooks/resemble"
> }'
1{
2 "success": true,
3 "item": {
4 "uuid": "VOICE_UUID",
5 "name": "Chef",
6 "status": "pending",
7 "voice_type": "professional",
8 "default_language": "en-US",
9 "description": null,
10 "created_at": "2024-01-15T10:30:00Z",
11 "updated_at": "2024-01-15T10:30:00Z"
12 }
13}

For rapid voices, dataset_url must be a valid audio file. Voice creation respects plan limits for professional and rapid voices.